# Class TCefFastDomVisitor3

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFDomVisitor

## Declaration

`type TCefFastDomVisitor3 = class(TCefDomVisitorOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefDomVisitorOwn
- TCefFastDomVisitor3

## Overview

### Fields

| `FProc: TCefDomVisitorProc3;`
| `FBrowser: ICefBrowser;`
| `FFrame: ICefFrame;`
| `FValue: ustring;`

### Methods

| `procedure visit(const document: ICefDomDocument); override;`
| `constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const proc: TCefDomVisitorProc3; const aValue : ustring); reintroduce; virtual;`
| `destructor Destroy; override;`

## Description

### Fields

| `FProc: TCefDomVisitorProc3;`
This item has no description.

| `FBrowser: ICefBrowser;`
This item has no description.

| `FFrame: ICefFrame;`
This item has no description.

| `FValue: ustring;`
This item has no description.

### Methods

| `procedure visit(const document: ICefDomDocument); override;`
This item has no description. Showing description inherited from ICefDomVisitor.visit. Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

| `constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const proc: TCefDomVisitorProc3; const aValue : ustring); reintroduce; virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.